""" Tests setup
"""
from Products.PloneTestCase import PloneTestCase
from Products.PloneTestCase.layer import onsetup
from Products.Five import zcml
from Products.Five import fiveconfigure

PRODUCTS = ['FiveSite', 'eea.plone3compat']

@onsetup
def setup_eea_plone3compat():
    """ Setup
    """
    fiveconfigure.debug_mode = True
    import Products.Five
    import Products.FiveSite
    import eea.plone3compat
    zcml.load_config('meta.zcml', Products.Five)
    zcml.load_config('configure.zcml', Products.Five)
    zcml.load_config('configure.zcml', Products.FiveSite)
    zcml.load_config('configure.zcml', eea.plone3compat)
    fiveconfigure.debug_mode = False

    PloneTestCase.installProduct('Five')
    for i in PRODUCTS:
        PloneTestCase.installProduct(i)

setup_eea_plone3compat()
PloneTestCase.setupPloneSite(products=PRODUCTS)


class EEAPlone3CompatFunctionalTestCase(PloneTestCase.FunctionalTestCase):
    """ Functional test case
    """
