""" Doctests
"""
import doctest
import unittest
from eea.plone3compat.tests.base import EEAPlone3CompatFunctionalTestCase
from Testing.ZopeTestCase import FunctionalDocFileSuite


OPTIONFLAGS = (
        doctest.REPORT_ONLY_FIRST_FAILURE |
        doctest.ELLIPSIS |
        doctest.NORMALIZE_WHITESPACE
)

def test_suite():
    """ Tests
    """
    return unittest.TestSuite((
            FunctionalDocFileSuite('README.txt',
                  optionflags=OPTIONFLAGS,
                  package='eea.plone3compat',
                  test_class=EEAPlone3CompatFunctionalTestCase),
              ))
