from setuptools import setup, find_packages
import os
from os.path import join

name = 'eea.plone3compat'
path = name.split('.') + ['version.txt']
version = open(join(*path)).read().strip()

setup(name='eea.plone3compat',
        version=version,
        description='Code copied from Plone 3',
        long_description=open("README.txt").read() + "\n" +
                  open(os.path.join("docs", "HISTORY.txt")).read(),
        url="https://svn.eionet.europa.eu/projects/"
        "Zope/browser/trunk/eea.plone3compat",
        classifiers=['Development Status :: 5 - Production/Stable',
            'Framework :: Zope3',
            'Intended Audience :: Developers'],
        keywords='EEA plone3 compatibility',
        author='Tim Terlegard, European Environment Agency',
        author_email='webadmin@eea.europa.eu',
        license='GPL',
        packages=find_packages(exclude=['ez_setup']),
        namespace_packages = ['eea'],
        include_package_data=True,
        zip_safe=False,
        install_requires=[
            'setuptools',
            # -*- Extra requirements: -*-
            ],
        entry_points="""
      # -*- Entry points: -*-
      """,
      )
