"""
This package contains code copied from Plone 3. When the eea
site is migrated to Plone 3 this package can be removed from
buidout and nothing else needs to be changed.

If there's an adapter, view, utility or something else in
Plone 3 that you want to use on the EEA site but it's not
available, then you can copy it to this package.

If you want some new functionality that exist in Plone 3 it
is much better to copy that than to write something new your
own way. If I copy a browser view from plone 3 whose name is
'plone_context_state' it will still work after migrating to
plone 3 without changing any code, because the API is not
changed.

"""
#Monkey patch the Workflow Tool so we get events when workflow state changes
from eea.plone3compat.WorkflowTool import IWorkflowActionEvent
from eea.plone3compat.WorkflowTool import IActionWillBeInvokedEvent
from eea.plone3compat.WorkflowTool import IActionRaisedExceptionEvent
from eea.plone3compat.WorkflowTool import IActionSucceededEvent
import Products
Products.CMFCore.interfaces.IWorkflowActionEvent = IWorkflowActionEvent
Products.CMFCore.interfaces.IActionWillBeInvokedEvent = IActionWillBeInvokedEvent
Products.CMFCore.interfaces.IActionRaisedExceptionEvent = IActionRaisedExceptionEvent
Products.CMFCore.interfaces.IActionSucceededEvent = IActionSucceededEvent
from eea.plone3compat.WorkflowTool import _invokeWithNotification
Products.CMFCore.WorkflowTool.WorkflowTool._invokeWithNotification = _invokeWithNotification
import eea.plone3compat.interfaces

# Monkey patch BaseObject to use IURLNormalizer utility when generating obj id
from eea.plone3compat.BaseObject import generateNewId
from Products.Archetypes.BaseObject import BaseObject
BaseObject.generateNewId = generateNewId

def initialize(context):
    """ Zope 2 init
    """
    pass
